This is a base element.

That includes:

- i18next initialization.

- Bootstrap (custom build + color in vars), Font Awesome, reset and some custom style.

- Configuration directly available by overriding the `initConfig` method.

- RXJS subscription added to subscriptions are unsubscribe on element removal. Example: ```js import {html, css} from 'lit'; import {customElement} from 'lit/decorators.js';

  // @ts-ignore @customElement('my-element') export default class MyElement extent (window as any).gmfapi.elements.BaseElement { static styles = [ ...(window as any).gmfapi.elements.BaseElement.styles, css`...` ];

  initConfig(configuration: Any): void { ... };

  render(): TemplateResult { return html`${this.getTitle(i18next.t('Title'))} your template` } }

### Hierarchy

- LitElement
  - default
    - default
    - default
    - default
    - default

## Index

### Constructors

- constructor

### Properties

- bootstrapStyle
- bootstrapVarStyle
- commonStyle
- fontawesomeStyle
- resetStyle
- styles

### Methods

- connectedCallback
- disconnectedCallback
- mozRequestFullScreen
- mozRequestFullScreenWithKeys
- msRequestFullscreen
- webkitRequestFullscreen

## Constructors

### constructor

- new default(): default

- Inherited from LitElement.constructor

  - Defined in node_modules/@lit/reactive-element/reactive-element.d.ts:447

  #### Returns default

## Properties

### Static bootstrapStyle

bootstrapStyle: CSSResult = ...

- Defined in srcapi/elements/BaseElement.ts:73

### Static bootstrapVarStyle

bootstrapVarStyle: CSSResult = ...

- Defined in srcapi/elements/BaseElement.ts:82

### Static commonStyle

commonStyle: CSSResult = ...

- Defined in srcapi/elements/BaseElement.ts:112

### Static fontawesomeStyle

fontawesomeStyle: CSSResult = ...

- Defined in srcapi/elements/BaseElement.ts:76

### Static resetStyle

resetStyle: CSSResult = ...

- Defined in srcapi/elements/BaseElement.ts:70

### Static styles

styles: CSSResult[] = ...

Overrides LitElement.styles

- Defined in srcapi/elements/BaseElement.ts:131

## Methods

### connectedCallback

- connectedCallback(): void

- Overrides LitElement.connectedCallback

  - Defined in srcapi/elements/BaseElement.ts:139

  #### Returns void

### disconnectedCallback

- disconnectedCallback(): void

- Overrides LitElement.disconnectedCallback

  - Defined in srcapi/elements/BaseElement.ts:158

  #### Returns void

### mozRequestFullScreen

- mozRequestFullScreen(): Promise<void>

- Inherited from LitElement.mozRequestFullScreen

  - Defined in types/dom.d.ts:25

  #### Returns Promise<void>

### mozRequestFullScreenWithKeys

- mozRequestFullScreenWithKeys(): Promise<void>

- Inherited from LitElement.mozRequestFullScreenWithKeys

  - Defined in types/dom.d.ts:26

  #### Returns Promise<void>

### msRequestFullscreen

- msRequestFullscreen(): Promise<void>

- Inherited from LitElement.msRequestFullscreen

  - Defined in types/dom.d.ts:27

  #### Returns Promise<void>

### webkitRequestFullscreen

- webkitRequestFullscreen(allowKeyboardInput?: number): Promise<void>

- Inherited from LitElement.webkitRequestFullscreen

  - Defined in types/dom.d.ts:28

  #### Parameters

  - ##### Optional allowKeyboardInput: number

  #### Returns Promise<void>

Generated using TypeDoc